## r-cran-doby 4.6.22

=== DESCRIPTION ===
Package: doBy
Version: 4.6.22
Title: Groupwise Statistics, LSmeans, Linear Estimates, Utilities
Author: Søren Højsgaard <sorenh@math.aau.dk> and Ulrich Halekoh
    <uhalekoh@health.sdu.dk>
Maintainer: Søren Højsgaard <sorenh@math.aau.dk>
Description: Utility package containing:
    1) Facilities for working with grouped data: 'do' something to data
    stratified 'by' some variables.
    2) LSmeans (least-squares means), general linear estimates.
    3) Restrict functions to a smaller domain.
    4) Miscellaneous other utilities.
Encoding: UTF-8
VignetteBuilder: knitr
LazyData: true
LazyDataCompression: xz
License: GPL (>= 2)
Depends: R (>= 4.2.0), methods
Imports: boot, broom, cowplot, Deriv, dplyr, ggplot2, MASS, Matrix,
        modelr, microbenchmark, rlang, tibble, tidyr,
Suggests: geepack, knitr, lme4, markdown, multcomp, pbkrtest (>=
        0.4-8.1), survival, testthat (>= 2.1.0)
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-19 23:14:22 UTC; sorenh
Repository: CRAN
Date/Publication: 2024-06-21 08:10:05 UTC

=== debian/changelog ===
r-cran-doby (4.6.22-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1076808)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Jul 2024 17:12:28 -0500

=== debian/control ===
Source: r-cran-doby
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-doby
Vcs-Git: https://salsa.debian.org/edd/r-cran-doby.git
Homepage: https://cran.r-project.org/package=doby

Package: r-cran-doby
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
Suggests: r-cran-testthat
Description: GNU R package for Various Utilities
 The package covers groupwise statistics, LSmeans, linear estimates,
 and general utilities:
 1) Facilities for working with grouped data: 'do' something to data
 stratified 'by' some variables.
 2) LSmeans (least-squares means), general linear estimates.
 3) Restrict functions to a smaller domain.
 4) Miscellaneous other utilities.

## r-cran-doby 4.6.24

=== DESCRIPTION ===
Package: doBy
Version: 4.6.24
Title: Groupwise Statistics, LSmeans, Linear Estimates, Utilities
Authors@R: c(
    person(given = "Ulrich", family = "Halekoh",
        email = "uhalekoh@health.sdu.dk", role = c("aut", "cph")),
    person(given = "Søren", family = "Højsgaard",
        email = "sorenh@math.aau.dk", role = c("aut", "cre", "cph"))
  )
Maintainer: Søren Højsgaard <sorenh@math.aau.dk>
Description: Utility package containing:
    1) Facilities for working with grouped data: 'do' something to data
    stratified 'by' some variables.
    2) LSmeans (least-squares means), general linear estimates.
    3) Restrict functions to a smaller domain.
    4) Miscellaneous other utilities.
Encoding: UTF-8
VignetteBuilder: knitr
LazyData: true
LazyDataCompression: xz
URL: https://github.com/hojsgaard/doBy
License: GPL (>= 2)
Depends: R (>= 4.2.0), methods
Imports: boot, broom, cowplot, Deriv, dplyr, ggplot2, MASS, Matrix,
        modelr, microbenchmark, rlang, tibble, tidyr,
Suggests: geepack, knitr, lme4, markdown, multcomp, pbkrtest (>=
        0.5.2), survival, testthat (>= 2.1.0)
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-10-07 19:46:33 UTC; sorenh
Author: Ulrich Halekoh [aut, cph],
  Søren Højsgaard [aut, cre, cph]
Repository: CRAN
Date/Publication: 2024-10-07 23:20:12 UTC

=== debian/changelog ===
r-cran-doby (4.6.24-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

  * debian/control: Correct Homapage field	(Closes: #1083244)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Oct 2024 19:06:25 -0500

r-cran-doby (4.6.22-2) unstable; urgency=medium

  * Source-only build and upload following entry into unstable

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jul 2024 15:43:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-doby
 Vcs-Git: https://salsa.debian.org/edd/r-cran-doby.git
-Homepage: https://cran.r-project.org/package=doby
+Homepage: https://cran.r-project.org/package=doBy
 
 Package: r-cran-doby
 Architecture: all

## r-cran-doby 4.6.25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: doBy
-Version: 4.6.24
+Version: 4.6.25
 Title: Groupwise Statistics, LSmeans, Linear Estimates, Utilities
 Authors@R: c(
     person(given = "Ulrich", family = "Halekoh",
@@ -27,8 +27,8 @@
         0.5.2), survival, testthat (>= 2.1.0)
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-10-07 19:46:33 UTC; sorenh
+Packaged: 2025-01-30 07:41:25 UTC; sorenh
 Author: Ulrich Halekoh [aut, cph],
   Søren Højsgaard [aut, cre, cph]
 Repository: CRAN
-Date/Publication: 2024-10-07 23:20:12 UTC
+Date/Publication: 2025-01-30 13:00:02 UTC

=== debian/changelog ===
r-cran-doby (4.6.25-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Jan 2025 07:27:47 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-doby
 Vcs-Git: https://salsa.debian.org/edd/r-cran-doby.git

## r-cran-doby 4.6.26

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: doBy
-Version: 4.6.25
+Version: 4.6.26
 Title: Groupwise Statistics, LSmeans, Linear Estimates, Utilities
 Authors@R: c(
     person(given = "Ulrich", family = "Halekoh",
@@ -27,8 +27,8 @@
         0.5.2), survival, testthat (>= 2.1.0)
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-01-30 07:41:25 UTC; sorenh
+Packaged: 2025-04-02 15:46:16 UTC; sorenh
 Author: Ulrich Halekoh [aut, cph],
   Søren Højsgaard [aut, cre, cph]
 Repository: CRAN
-Date/Publication: 2025-01-30 13:00:02 UTC
+Date/Publication: 2025-04-09 09:40:27 UTC

=== debian/changelog ===
r-cran-doby (4.6.26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2025 12:04:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-doby
 Vcs-Git: https://salsa.debian.org/edd/r-cran-doby.git
 Homepage: https://cran.r-project.org/package=doBy

## r-cran-doby 4.7.0

=== DESCRIPTION ===
Package: doBy
Version: 4.7.0
Title: Groupwise Statistics, LSmeans, Linear Estimates, Utilities
Authors@R: c(
    person(given = "Ulrich", family = "Halekoh",
        email = "uhalekoh@health.sdu.dk", role = c("aut", "cph")),
    person(given = "Søren", family = "Højsgaard",
        email = "sorenh@math.aau.dk", role = c("aut", "cre", "cph"))
  )
Description: Utility package containing: Main categories: Working with grouped data: 'do' something to data when  stratified 'by' some variables.  General linear estimates. Data handling utilities. Functional programming, in particular restrict functions to a smaller domain. Miscellaneous functions for data handling. Model stability in connection with model selection. Miscellaneous other tools. 
Encoding: UTF-8
VignetteBuilder: knitr
LazyData: true
LazyDataCompression: xz
URL: https://github.com/hojsgaard/doBy
License: GPL (>= 2)
Depends: R (>= 4.2.0), methods
Imports: boot, broom, cowplot, Deriv, dplyr, ggplot2, MASS, Matrix,
        modelr, microbenchmark, rlang, tibble, tidyr,
Suggests: geepack, knitr, lme4, markdown, multcomp, pbkrtest (>=
        0.5.2), survival, testthat (>= 2.1.0)
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-06-29 20:24:22 UTC; sorenh
Author: Ulrich Halekoh [aut, cph],
  Søren Højsgaard [aut, cre, cph]
Maintainer: Søren Højsgaard <sorenh@math.aau.dk>
Repository: CRAN
Date/Publication: 2025-06-29 20:50:02 UTC

=== debian/changelog ===
r-cran-doby (4.7.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 29 Jun 2025 17:48:53 -0500

r-cran-doby (4.6.27-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 May 2025 05:10:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.1), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-doby
 Vcs-Git: https://salsa.debian.org/edd/r-cran-doby.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-doby package
# Copyright 2003 - 2024 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/doBy_([-\d\.]*)\.tar.gz

## r-cran-doby 4.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: doBy
-Version: 4.7.0
+Version: 4.7.1
 Title: Groupwise Statistics, LSmeans, Linear Estimates, Utilities
 Authors@R: c(
     person(given = "Ulrich", family = "Halekoh",
@@ -15,15 +15,15 @@
 URL: https://github.com/hojsgaard/doBy
 License: GPL (>= 2)
 Depends: R (>= 4.2.0), methods
-Imports: boot, broom, cowplot, Deriv, dplyr, ggplot2, MASS, Matrix,
-        modelr, microbenchmark, rlang, tibble, tidyr,
-Suggests: geepack, knitr, lme4, markdown, multcomp, pbkrtest (>=
-        0.5.2), survival, testthat (>= 2.1.0)
-RoxygenNote: 7.3.2
+Imports: boot, broom, cowplot, Deriv, dplyr, forecast, ggplot2, MASS,
+        Matrix, modelr, microbenchmark, rlang, purrr, tibble, tidyr,
+Suggests: geepack, knitr, lme4, markdown, rmarkdown, multcomp, pbkrtest
+        (>= 0.5.2), survival, testthat (>= 2.1.0)
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-06-29 20:24:22 UTC; sorenh
+Packaged: 2025-12-01 22:47:07 UTC; sorenh
 Author: Ulrich Halekoh [aut, cph],
   Søren Højsgaard [aut, cre, cph]
 Maintainer: Søren Højsgaard <sorenh@math.aau.dk>
 Repository: CRAN
-Date/Publication: 2025-06-29 20:50:02 UTC
+Date/Publication: 2025-12-02 06:10:39 UTC

=== debian/changelog ===
r-cran-doby (4.7.1-3) unstable; urgency=medium

  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Feb 2026 07:27:49 -0600

r-cran-doby (4.7.1-2) unstable; urgency=medium

  * debian/watch: Use simpler regexp
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Dec 2025 15:03:56 -0600

r-cran-doby (4.7.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add r-cran-forecast to (Build-)Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Dec 2025 07:16:02 -0600

=== debian/control ===
Source: r-cran-doby
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr, r-cran-forecast
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/edd/r-cran-doby
Vcs-Git: https://salsa.debian.org/edd/r-cran-doby.git
Homepage: https://cran.r-project.org/package=doBy

Package: r-cran-doby
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-boot, r-cran-broom, r-cran-cowplot, r-cran-deriv, r-cran-dplyr, r-cran-ggplot2, r-cran-mass, r-cran-matrix, r-cran-modelr, r-cran-microbenchmark, r-cran-rlang, r-cran-tibble, r-cran-tidyr, r-cran-forecast
Suggests: r-cran-testthat
Description: GNU R package for Various Utilities
 The package covers groupwise statistics, LSmeans, linear estimates,
 and general utilities:
 1) Facilities for working with grouped data: 'do' something to data
 stratified 'by' some variables.
 2) LSmeans (least-squares means), general linear estimates.
 3) Restrict functions to a smaller domain.
 4) Miscellaneous other utilities.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/doBy_([-\d\.]*)\.tar\.gz
